id: skeepers-panel

info:
  name: Skeepers Login Panel - Detect
  author: righettod
  severity: info
  description: |
    Skeepers login panel was detected.
  reference:
    - https://skeepers.io
  metadata:
    verified: true
    max-request: 2
    shodan-query: http.title:"Skeepers"
  tags: panel,skeepers,login,detect

http:
  - method: GET
    path:
      - "{{BaseURL}}/backend/login"
      - "{{BaseURL}}"

    stop-at-first-match: true

    matchers:
      - type: dsl
        dsl:
          - 'status_code == 200'
          - 'contains(to_lower(body), "skeepers") && contains(to_lower(body), "login")'
        condition: and

    extractors:
      - type: regex
        part: body
        group: 1
        regex:
          - 'Version\s+([0-9\.]+)\s+-'
# digest: 4a0a00473045022100df6bf13f777b889425113a41ae7d63ef89ed79c5499fc9b4a3d3ccccdfb9f25402200809655ce102dd7be739d7a1b60fc7377fd0e7638c8833558fdf44ebb669cf97:922c64590222798bb761d5b6d8e72950